Subject: framebuffer swap endianess

From: Angelo <[email-masked]>
Date: Tue, 22 Jan 2008 16:46:47 +0100 (CET)

Hi, i'm angelo.

I have just create a framebuffer for an embedded system:
- powerpc (little endian)  with  a GPU (big endian).

I'm working on linux 2.6.22

When i try to execute Xfbdev, it starts but with wrong colors.
I need to swap the RGB format (RRRRRGGGGGGBBBBB) to BGR, respecting the endianess (GGGRRRRRBBBBBGGG).

I know that X loads with some ioctl, the principal settings through framebuffer.
But i'm not sure if framebuffer can inform it on the RGB format.

I also tried to change something on cmap, but nothing changes on display;

So, i hope you can help me. 

Many thanks.

---------------------------------

---------------------------------
L'email della prossima generazione? Puoi averla con la nuova Yahoo! Mail